Enable mobile notifications
POST
/v1/user/{id}/enable-notification-target/
const url = 'https://example.com/v1/user/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/enable-notification-target/';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"email":"hello@example.com"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/user/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/enable-notification-target/ \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "email": "hello@example.com" }'Create or ensure a notification target is enable for the authenticated user to receive mobile notifications. Returns 200 if already enabled, 201 if successfully created.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
A UUID string identifying this membership.
Request Bodyrequired
Section titled “Request Bodyrequired”object
email
required
Email address
string format: email
id
required
string format: uuid
username
required
Required. 150 characters or fewer. Letters, digits and @/./+/-/_ only.
string
Example generated
{ "email": "hello@example.com"}object
email
required
Email address
string format: email
id
required
string format: uuid
username
required
Required. 150 characters or fewer. Letters, digits and @/./+/-/_ only.
string
Responses
Section titled “Responses”Media typeapplication/json
object
email
required
Email address
string format: email
id
required
string format: uuid
username
required
Required. 150 characters or fewer. Letters, digits and @/./+/-/_ only.
string
Example generated
{ "email": "hello@example.com"}